package core.api.models.timemanager.taskgroup;

import core.entities.timemanager.Taskgroup;
import org.springframework.scheduling.config.Task;

import java.util.ArrayList;
import java.util.List;

public class TaskgroupDetailInfo {

    private List<TaskgroupEntityInfo> children;
    private List<TaskgroupEntityInfo> ancestors;
    private TaskgroupEntityInfo taskgroupInfo;

    public TaskgroupDetailInfo(Taskgroup taskgroup) {
        this.children = taskgroup.getChildren().stream().map(TaskgroupEntityInfo::new).toList();
        List<Taskgroup> ancestorList = Taskgroup.getAncestorList(taskgroup);
        this.ancestors = ancestorList.stream().map(TaskgroupEntityInfo::new).toList();
        this.taskgroupInfo = new TaskgroupEntityInfo(taskgroup);
    }

    public List<TaskgroupEntityInfo> getChildren() {
        return children;
    }

    public void setChildren(List<TaskgroupEntityInfo> children) {
        this.children = children;
    }

    public List<TaskgroupEntityInfo> getAncestors() {
        return ancestors;
    }

    public void setAncestors(List<TaskgroupEntityInfo> ancestors) {
        this.ancestors = ancestors;
    }

    public TaskgroupEntityInfo getTaskgroupInfo() {
        return taskgroupInfo;
    }

    public void setTaskgroupInfo(TaskgroupEntityInfo taskgroupInfo) {
        this.taskgroupInfo = taskgroupInfo;
    }
}
